
%define api		1.0
%define bname		gstreamer%{api}
%define name		%{bname}-plugins-bad


%define libmajor	0
%define libnamephoto	%mklibname gstphotography %{api} %{libmajor}
%define libnamecodecparsers %mklibname gstcodecparsers %{api} %{libmajor}
%define libnamebase	%mklibname gstbasecamerabinsrc %{api} %{libmajor}
%define libnameegl	%mklibname gstegl %{api} %{libmajor}
%define libnameinsertbin %mklibname gstinsertbin %{api} %{libmajor}
%define libnamempegts	%mklibname gstmpegts %{api} %{libmajor}
%define libnameuridownloader %mklibname gsturidownloader %{api} %{libmajor}
%define girname		%mklibname gstreamer-plugins-bad-gir %{api}
%define develname	%mklibname -d gstreamer-plugins-bad %{api}

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%{name}
Version: 	1.8.3
Release: 	%mkrel 1
License: 	LGPLv2+ and GPLv2+
Group: 		Sound
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{version}.tar.xz
Patch0:		gst-plugins-bad-0.10.7-wildmidi-timidity.cfg.patch
URL:		http://gstreamer.freedesktop.org/
#---------BR------------------------------------
BuildRequires: %{_lib}ass-devel
BuildRequires: %{_lib}atk1.0-devel
#BuildRequires: %{_lib}bluez-devel
BuildRequires: %{_lib}bs2b-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}chromaprint-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dca-devel
BuildRequires: %{_lib}directfb-devel
BuildRequires: %{_lib}dvdnav-devel
BuildRequires: %{_lib}dvdread-devel
BuildRequires: %{_lib}faac-devel
BuildRequires: %{_lib}faad2-devel
BuildRequires: %{_lib}fluidsynth1-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gnutls-devel
BuildRequires: %{_lib}gsm-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gudev1.0-devel
BuildRequires: %{_lib}kate-devel
BuildRequires: %{_lib}lrdf2-devel
BuildRequires: %{_lib}mesaegl1-devel
BuildRequires: %{_lib}mesaglesv2_2-devel
BuildRequires: %{_lib}mimic-devel
BuildRequires: %{_lib}mjpegtools-devel
BuildRequires: %{_lib}mms-devel
BuildRequires: %{_lib}modplug-devel
BuildRequires: %{_lib}mpg123-devel
BuildRequires: %{_lib}neon-devel
BuildRequires: %{_lib}nettle-devel
BuildRequires: %{_lib}ofa-devel
BuildRequires: %{_lib}openal-devel
BuildRequires: %{_lib}openjpeg1-devel
BuildRequires: %{_lib}opus-devel
BuildRequires: %{_lib}orc-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}raptor2-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}rtmp-devel
BuildRequires: %{_lib}schroedinger-devel
BuildRequires: %{_lib}soundtouch-devel
BuildRequires: %{_lib}tiger-devel
BuildRequires: %{_lib}usb1.0-devel
BuildRequires: %{_lib}vdpau-devel
BuildRequires: %{_lib}vo-aacenc-devel
BuildRequires: %{_lib}vo-amrwbenc-devel
BuildRequires: %{_lib}wayland-devel
BuildRequires: %{_lib}webp-devel
BuildRequires: %{_lib}wildmidi-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: ladspa-devel
BuildRequires: libsbc-devel
BuildRequires: opencv-devel
BuildRequires: srtp
#-----------------------------------------------
%ifarch %ix86
BuildRequires:	nasm => 0.90
%endif
Provides:	%{bname}-audiosrc
Provides:	%{bname}-audiosink

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that aren't up to par compared
to the rest. They might be close to being good quality, but they're
missing something - be it a good code review, some documentation, a
set of tests, a real live maintainer, or some actual wide use. If the
blanks are filled in they might be upgraded to become part of either
gstreamer-plugins-good or gstreamer-plugins-ugly, depending on the
other factors. If the plug-ins break, you can't complain - instead,
you can fix the problem and send us a patch, or bribe someone into
fixing them for you.  New contributors can start here for things to
work on.


%package -n %{develname}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}


%description -n %{develname}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.




%prep
%setup -q -n gst-plugins-bad-%{version}
%apply_patches

%build
%configure2_5x --disable-dependency-tracking --disable-static \
  --with-package-name='pclinuxos %{name} package' \
  --with-package-origin='http://www.pclinuxos.com/' \

make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang gst-plugins-bad-%{api}

#dont want this
find %{buildroot} -name '*.la' -delete

#dont want this
rm -rf %{buildroot}%{_datadir}/gtk-doc


%files -f gst-plugins-bad-%{api}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%{_datadir}/gstreamer-%{api}/presets/GstFreeverb.prs
%{_libdir}/gstreamer-%{api}/libgstadpcmdec.so
%{_libdir}/gstreamer-%{api}/libgstadpcmenc.so
%{_libdir}/gstreamer-%{api}/libgstasfmux.so
%{_libdir}/gstreamer-%{api}/libgstaudiovisualizers.so
%{_libdir}/gstreamer-%{api}/libgstautoconvert.so
%{_libdir}/gstreamer-%{api}/libgstbayer.so
%{_libdir}/gstreamer-%{api}/libgstcamerabin2.so
%{_libdir}/gstreamer-%{api}/libgstcoloreffects.so
%{_libdir}/gstreamer-%{api}/libgstdataurisrc.so
%{_libdir}/gstreamer-%{api}/libgstdebugutilsbad.so
%{_libdir}/gstreamer-%{api}/libgstdvb.so
%{_libdir}/gstreamer-%{api}/libgstdvbsuboverlay.so
%{_libdir}/gstreamer-%{api}/libgstdvdspu.so
%{_libdir}/gstreamer-%{api}/libgstfbdevsink.so
%{_libdir}/gstreamer-%{api}/libgstfieldanalysis.so
%{_libdir}/gstreamer-%{api}/libgstfestival.so
%{_libdir}/gstreamer-%{api}/libgstfrei0r.so
%{_libdir}/gstreamer-%{api}/libgstgaudieffects.so
%{_libdir}/gstreamer-%{api}/libgstgdp.so
%{_libdir}/gstreamer-%{api}/libgstgeometrictransform.so
%{_libdir}/gstreamer-%{api}/libgstid3tag.so
%{_libdir}/gstreamer-%{api}/libgstinter.so
%{_libdir}/gstreamer-%{api}/libgstinterlace.so
%{_libdir}/gstreamer-%{api}/libgstjpegformat.so
%{_libdir}/gstreamer-%{api}/libgstmpegtsmux.so
%{_libdir}/gstreamer-%{api}/libgstmpegpsmux.so
%{_libdir}/gstreamer-%{api}/libgstchromaprint.so
%{_libdir}/gstreamer-%{api}/libgstmidi.so
%{_libdir}/gstreamer-%{api}/libgstmimic.so
%{_libdir}/gstreamer-%{api}/libgstmpegpsdemux.so
%{_libdir}/gstreamer-%{api}/libgstopenjpeg.so
%{_libdir}/gstreamer-%{api}/libgstpcapparse.so
%{_libdir}/gstreamer-%{api}/libgstpnm.so
%{_libdir}/gstreamer-%{api}/libgstrfbsrc.so
%{_libdir}/gstreamer-%{api}/libgstrawparse.so
%{_libdir}/gstreamer-%{api}/libgstremovesilence.so
%{_libdir}/gstreamer-%{api}/libgstsdpelem.so
%{_libdir}/gstreamer-%{api}/libgstsegmentclip.so
%{_libdir}/gstreamer-%{api}/libgstshm.so
%{_libdir}/gstreamer-%{api}/libgstsiren.so
%{_libdir}/gstreamer-%{api}/libgstsmooth.so
%{_libdir}/gstreamer-%{api}/libgstspeed.so
%{_libdir}/gstreamer-%{api}/libgstsubenc.so
%{_libdir}/gstreamer-%{api}/libgstbz2.so
%{_libdir}/gstreamer-%{api}/libgstmpegtsdemux.so
%{_libdir}/gstreamer-%{api}/libgstvideoparsersbad.so
%{_libdir}/gstreamer-%{api}/libgstwaylandsink.so
%{_libdir}/gstreamer-%{api}/libgstresindvd.so
%{_libdir}/gstreamer-%{api}/libgstdecklink.so
%{_libdir}/gstreamer-%{api}/libgstvoaacenc.so
%{_libdir}/gstreamer-%{api}/libgstvoamrwbenc.so
%{_datadir}/gstreamer-%{api}/presets/GstVoAmrwbEnc.prs
%{_libdir}/gstreamer-%{api}/libgstmodplug.so
%{_libdir}/gstreamer-%{api}/libgsty4mdec.so
%{_libdir}/gstreamer-%{api}/libgstaccurip.so
%{_libdir}/gstreamer-%{api}/libgstaiff.so
%{_libdir}/gstreamer-%{api}/libgstaudiofxbad.so
%{_libdir}/gstreamer-%{api}/libgstfreeverb.so
%{_libdir}/gstreamer-%{api}/libgstivtc.so
%{_libdir}/gstreamer-%{api}/libgstmxf.so
%{_libdir}/gstreamer-%{api}/libgstvideofiltersbad.so
%{_libdir}/gstreamer-%{api}/libgstwebp.so
%{_libdir}/gstreamer-%{api}/libgstyadif.so
%{_libdir}/gstreamer-%{api}/libgstrsvg.so
%{_libdir}/gstreamer-%{api}/libgstuvch264.so
%{_libdir}/gstreamer-%{api}/libgstvdpau.so

#%{_libdir}/gstreamer-%{api}/libgstqmlgl.so

%{_libdir}/gstreamer-%{api}/libgstfaad.so
%{_libdir}/gstreamer-%{api}/libgstfaac.so
%{_libdir}/gstreamer-%{api}/libgstgsm.so
%{_libdir}/gstreamer-%{api}/libgstdashdemux.so
%{_libdir}/gstreamer-%{api}/libgstdfbvideosink.so
%{_libdir}/gstreamer-%{api}/libgstfluidsynthmidi.so
%{_libdir}/gstreamer-%{api}/libgstladspa.so
%{_libdir}/gstreamer-%{api}/libgstneonhttpsrc.so
%{_libdir}/gstreamer-%{api}/libgstofa.so
%{_libdir}/gstreamer-%{api}/libgstsbc.so
%{_libdir}/gstreamer-%{api}/libgstsmoothstreaming.so
%{_libdir}/gstreamer-%{api}/libgstsrtp.so
%{_libdir}/girepository-%{api}/GstInsertBin-%{api}.typelib
%{_libdir}/girepository-%{api}/GstMpegts-%{api}.typelib

%{_libdir}/gstreamer-%{api}/libgstcurl.so
%{_libdir}/gstreamer-%{api}/libgstmpeg2enc.so
%{_libdir}/gstreamer-%{api}/libgstmplex.so
%{_libdir}/gstreamer-%{api}/libgstschro.so
%{_libdir}/gstreamer-%{api}/libgstmms.so
%{_libdir}/gstreamer-%{api}/libgstrtmp.so
%{_libdir}/gstreamer-%{api}/libgstsoundtouch.so
%{_libdir}/gstreamer-%{api}/libgstassrender.so
%{_libdir}/gstreamer-%{api}/libgstopencv.so
%{_datadir}/gst-plugins-bad/%{api}/opencv_haarcascades/*.xml
%{_libdir}/gstreamer-%{api}/libgstwildmidi.so
%{_libdir}/gstreamer-%{api}/libgstdtsdec.so
%{_libdir}/gstreamer-%{api}/libgstkate.so

%{_libdir}/libgstphotography-%{api}.so.%{libmajor}*
%{_libdir}/libgstcodecparsers-%{api}.so.%{libmajor}*
%{_libdir}/libgstbasecamerabinsrc-%{api}.so.%{libmajor}*
%{_libdir}/libgstinsertbin-%{api}.so.%{libmajor}*
%{_libdir}/libgstmpegts-%{api}.so.%{libmajor}*
%{_libdir}/libgsturidownloader-%{api}.so.%{libmajor}*

%{_libdir}/gstreamer-%{api}/libgstaudiomixer.so
%{_libdir}/gstreamer-%{api}/libgstcompositor.so
%{_libdir}/gstreamer-%{api}/libgstivfparse.so
%{_libdir}/gstreamer-%{api}/libgstjp2kdecimator.so
%{_libdir}/gstreamer-%{api}/libgstopenexr.so
%{_libdir}/gstreamer-%{api}/libgstopengl.so
%{_libdir}/gstreamer-%{api}/libgstsndfile.so
%{_libdir}/gstreamer-%{api}/libgststereo.so
%{_libdir}/gstreamer-%{api}/libgstvideosignal.so
%{_libdir}/gstreamer-%{api}/libgstvmnc.so

%{_libdir}/girepository-%{api}/GstGL-%{api}.typelib
%{_libdir}/girepository-%{api}/GstPlayer-%{api}.typelib

%{_libdir}/gstreamer-%{api}/libgstbs2b.so
%{_libdir}/gstreamer-%{api}/libgstdtls.so
%{_libdir}/gstreamer-%{api}/libgstgtksink.so
%{_libdir}/gstreamer-%{api}/libgstrtponvif.so
%{_libdir}/gstreamer-%{api}/libgstvcdsrc.so

%{_libdir}/gstreamer-%{api}/libgstopenal.so

%{_libdir}/gstreamer-%{api}/libgsthls.so
%{_libdir}/gstreamer-%{api}/libgstnetsim.so
%{_libdir}/gstreamer-%{api}/libgstopusparse.so
#%{_libdir}/gstreamer-%{api}/libgstqtsink.so
%{_libdir}/gstreamer-%{api}/libgstteletextdec.so
%{_libdir}/gstreamer-%{api}/libgstvideoframe_audiolevel.so

%{_libdir}/libgstadaptivedemux-%{api}.so.0
%{_libdir}/libgstadaptivedemux-%{api}.so.0.80*.0

%{_libdir}/libgstbadaudio-%{api}.so.0
%{_libdir}/libgstbadaudio-%{api}.so.0.80*.0

%{_libdir}/libgstbadbase-%{api}.so.0
%{_libdir}/libgstbadbase-%{api}.so.0.80*.0

%{_libdir}/libgstbadvideo-%{api}.so.0
%{_libdir}/libgstbadvideo-%{api}.so.0.80*.0

%{_libdir}/libgstgl-%{api}.so.0
%{_libdir}/libgstgl-%{api}.so.0.80*.0

%{_libdir}/libgstplayer-%{api}.so.0
%{_libdir}/libgstplayer-%{api}.so.0.80*.0

%{_libdir}/libgstwayland-%{api}.so.0
%{_libdir}/libgstwayland-%{api}.so.0.80*.0


  

%files -n %develname
%defattr(-, root, root)
%{_libdir}/libgst*-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gstreamer-%{api}/gst/*
%{_datadir}/gir-%{api}/GstInsertBin-%{api}.gir
%{_datadir}/gir-%{api}/GstMpegts-%{api}.gir
%{_datadir}//gir-%{api}/GstGL-%{api}.gir
%{_libdir}/gstreamer-%{api}/include/gst/gl/gstglconfig.h
%{_datadir}/gir-%{api}/GstPlayer-%{api}.gir

%clean
rm -rf %{buildroot}

%changelog
* Fri Oct 21 2016 adrianomorselli <adrianomorselli> 1.8.3-1uplos2016
- rebuild

* Sun Sep 18 2016 bb <bb> 1.8.3-1pclos2016
- update

* Thu Jun 09 2016 bb <bb> 1.8.2-1pclos2016
- update

